import type { UmbTemplatingItemPickerModalData, UmbTemplatingItemPickerModalValue } from './templating-item-picker-modal.token.js';
import { UmbModalBaseElement } from '../../../core/modal/index.js';
export declare class UmbTemplatingItemPickerModalElement extends UmbModalBaseElement<UmbTemplatingItemPickerModalData, UmbTemplatingItemPickerModalValue> {
    #private;
    private _close;
    constructor();
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbTemplatingItemPickerModalElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-templating-item-picker-modal': UmbTemplatingItemPickerModalElement;
    }
}
